For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet filter
      • PUTUpdate filter
      • DELDelete filter
      • GETList filters
      • POSTCreate filters (one per seat)
LogoLogo
API ReferenceFilters

Get filter

||View as Markdown|
GET
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id/filters/:filter_id
GET
/rest/accounts/:account_id/campaigns/:campaign_id/filters/:filter_id
$curl https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/filters/filter_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "filter": {
4 "type": "filter_LP",
5 "status": "RUN",
6 "filters": {
7 "data_cleansing": true,
8 "include_degree_1": true
9 },
10 "seat_id": "SEAT6a13e661ecc6a86e3fb7",
11 "url_page": "https://www.linkedin.com/search/results/people/?keywords=ceos%20michigan&network=%5B%22S%22%5D&sid=p-e",
12 "filter_id": "filter_4357423a0c38093766fa",
13 "account_id": "ACCO136ce10b5f8a7682efb3",
14 "created_at": 1756556153805,
15 "campaign_id": "campaign_79dc16be15ff633fb8dc",
16 "max_profiles": 500,
17 "filter_group_id": "filter_group_7a935bd04ec72fe08ee9",
18 "profile_fetch_type": "LAZY"
19 }
20}
Get a filter by ID.
Was this page helpful?
Previous

Create profile

Next

Update filter

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired
filter_idstringRequired

Response

This endpoint returns an object.
successboolean
filterobject